//
//	DAYLockFile.h -- a generic class to simplify keeping an atomic lock file
//		Written by Don Yacktman (c) 1993 by Don Yacktman.
//				Version 1.0.  All rights reserved.
//
//		This is a free object!  Contact the author for the latest version.
//		Don Yacktman, 4279 N. Ivy Lane, Provo, UT, 84604
//		e-mail:  Don_Yacktman@byu.edu
//
//	See DAYLockFile.m for details of the software license.
//

#import <appkit/appkit.h>

@interface DAYLockFile:Object <NXTransport>
{
	BOOL haveLock;
	id lockFileName;
}

- init;

- fileName;
- setFileName:aString;
- lock;
- unlock;
- (BOOL)haveLock;

- copy;
- read:(NXTypedStream *)stream;
- write:(NXTypedStream *)stream;

- free;

@end
